lomiri-messaging-app (2.0.0) unstable; urgency=medium

  * Rename to lomiri-messaging-app
  * Upstream-provided Debian package for lomiri-messaging-app. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 18 Oct 2024 20:31:15 +0200

messaging-app (1.1.0) unstable; urgency=medium

  * Upstream-provided Debian package for messaging-app. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 15 Oct 2023 01:39:20 +0200

messaging-app (1.0.0) focal; urgency=medium

  [ UBports developers ]
  * Upstream-provided Debian package for messaging-app. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Wed, 18 Jan 2023 13:37:01 +0100

messaging-app (0.1.5) xenial; urgency=medium

  * revert new contact backend

 -- Lionel Duboeuf <lduboeuf@ouvaton.org>  Wed, 02 Oct 2022 22:04:34 +0200

messaging-app (0.1.4) xenial; urgency=medium

  * debian/control: bump dependency to apparmor-easyprof-ubuntu

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Wed, 14 Sep 2022 22:04:34 +0300

messaging-app (0.1.3~0ubports0) xenial; urgency=medium

  * Removed leadingActions from MessagingContactViewPage
    (https://github.com/ubports/messaging-app/pull/53)

 -- Dalton Durst <dalton@ubports.com>  Sun, 25 Nov 2018 13:12:21 -0600

messaging-app (0.1.2~0ubports1) xenial; urgency=medium

  * Fix adding of a new contact
    (https://github.com/ubports/ubuntu-touch/issues/878)

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Fri, 14 Sep 2018 00:19:06 +0300

messaging-app (0.1.1+ubports1) xenial; urgency=medium

  [ Gustavo Pichorim Boiko ]
  * Add support for group chats.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 30 Nov 2016 15:14:55 +0000

messaging-app (0.1+17.04.20161124.2-0ubuntu1) zesty; urgency=medium

  * Append "SNAP" path into the base application path, when that var is
    set. (LP: #1629009)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 24 Nov 2016 18:55:09 +0000

messaging-app (0.1+17.04.20161020-0ubuntu1) zesty; urgency=medium

  [ Renato Araujo Oliveira Filho ]
  * Snap package.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Thu, 20 Oct 2016 15:15:59 +0000

messaging-app (0.1+16.10.20160831-0ubuntu1) yakkety; urgency=medium

  [ Pat McGowan ]
  * The character count logic is much more complex and needs to account
    for escape characters and different encoding schemes that change the
    counts. (LP: #1618917)

 -- bill.filler@canonical.com <bill.filler@canonical.com>  Wed, 31 Aug 2016 21:57:48 +0000

messaging-app (0.1+16.10.20160819-0ubuntu1) yakkety; urgency=medium

  [ Devid Antonio Filoni ]
  * Preserve empty lines and leading spaces. (LP: #1366592)

  [ Pat McGowan ]
  * This adds support for showing the current character count and number
    of messages to be sent via SMS. It includes a new label on top of
    the text area showing number of characters / 160 (number of
    messages). It is shown once the message is over 1 line in length,
    per other systems. (LP: #1278790)

  [ Tiago Salem Herrmann ]
  * Share text only if there is no url in the content-hub transfer. (LP:
    #1613338)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 19 Aug 2016 15:15:35 +0000

messaging-app (0.1+16.10.20160729.1-0ubuntu1) yakkety; urgency=medium

  * Now that AdaptivePageLayout supports loading pages synchronously and
    that the memory management bugs are fixed, remove the workarounds
    from the app.
  * Do not use bottom edge when in two columns mode and preserve the
    views when alternating between one and two columns. (LP: #1599184)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 29 Jul 2016 23:29:27 +0000

messaging-app (0.1+16.10.20160721-0ubuntu1) yakkety; urgency=medium

  [ Renato Araujo Oliveira Filho ]
  * Register app as "destination" for "contacts", "pictures", "links",
    "text", "videos";

 -- bill.filler@canonical.com <bill.filler@canonical.com>  Thu, 21 Jul 2016 19:47:30 +0000

messaging-app (0.1+16.10.20160718-0ubuntu1) yakkety; urgency=medium

  [ Florian Boucault ]
  * Always load MessagingBottomEdge asynchronously.
  * Fix packaging for crossbuilding.

 -- bill.filler@canonical.com <bill.filler@canonical.com>  Mon, 18 Jul 2016 13:49:27 +0000

messaging-app (0.1+16.10.20160713.1-0ubuntu1) yakkety; urgency=medium

  * Improve error messages. Inform users the real reason why messages
    are failing to get sent.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 13 Jul 2016 21:39:30 +0000

messaging-app (0.1+16.10.20160630-0ubuntu1) yakkety; urgency=medium

  * Implement support for message forwarding. (LP: #1461873)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 30 Jun 2016 12:52:56 +0000

messaging-app (0.1+16.10.20160624.1-0ubuntu1) yakkety; urgency=medium

  [ Gustavo Pichorim Boiko ]
  * Update colors, sizes and message bubbles to the latest spec. (LP:
    #1581206)

  [ Michael Terry ]
  * Center contact name in the page header. (LP: #1547581)

  [ Tiago Salem Herrmann ]
  * Avoid text overlap in the main view. (LP: #1582630)
  * Don't run tests when cross compiling and don't use xvfb.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 24 Jun 2016 13:50:22 +0000

messaging-app (0.1+16.10.20160621.4-0ubuntu1) yakkety; urgency=medium

  * Make sure that the placeholder text is visible for Contact Editor
    Page. (LP: #1592422)
  * overwrite "applicationId" used by online accounts. (LP: #1583014)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 21 Jun 2016 16:13:57 +0000

messaging-app (0.1+16.04.20160506-0ubuntu1) xenial; urgency=medium

  * Do not pre-select sim 1. Prompt users to select one instead. (LP:
    #1571686)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 06 May 2016 14:06:05 +0000

messaging-app (0.1+16.04.20160504-0ubuntu1) xenial; urgency=medium

  * Do not use bindings on sections model to avoid the index getting
    reset. (LP: #1571686)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 04 May 2016 03:13:45 +0000

messaging-app (0.1+16.04.20160429-0ubuntu1) xenial; urgency=medium

  [ Gerry Boland, Michał Sawicz ]
  * Tweaks to support dynamic grid units better: MainView implicit
    sizing and min/max size change on GU update

 -- Bill Filler <ci-train-bot@canonical.com>  Fri, 29 Apr 2016 21:11:18 +0000

messaging-app (0.1+16.04.20160421-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Renato Araujo Oliveira Filho ]
  * Fixed vcard preview header. (LP: #1572758)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 21 Apr 2016 04:19:36 +0000

messaging-app (0.1+16.04.20160328-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Tiago Salem Herrmann ]
  * Move properties from gsettings to accounts service, (LP: #1418040)

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Mon, 28 Mar 2016 13:38:04 +0000

messaging-app (0.1+16.04.20160323-0ubuntu1) xenial; urgency=medium

  [ Arthur Mello, Tiago Salem Herrmann ]
  * Use new flag defined to set fullscreen with convergence mode

  [ Tiago Salem Herrmann ]
  * Hide header when previewing mms full screen.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Wed, 23 Mar 2016 19:10:32 +0000

messaging-app (0.1+16.04.20160317.2-0ubuntu1) xenial; urgency=medium

  [ Gustavo Pichorim Boiko ]
  * Do not display the "new conversation" item when in single panel as
    this makes the header scroll.
  * Fix handling of header sections.
  * Fix sharing data from other apps.
  * Hide and disable the Section object when it is not in use.
  * Keep the "New conversation" header action visible all the time.

  [ Ken VanDine ]
  * Bump Ubuntu.Content import to 1.3 to fix theme issue (LP: #1554621)

  [ Tiago Salem Herrmann ]
  * Animate microphone icon only while recording. (LP: #1548696)
  * Fix active focus management of multi recipient component. (LP:
    #1555146)
  * Fix some memory leaks Use another approach to decide when to display
    the empty state view Avoid removing pages when resizing the
    AdaptivePageLayout (LP: #1549352)
  * Show notification when the the record icon is only clicked.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 17 Mar 2016 21:10:24 +0000

messaging-app (0.1+16.04.20160308-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Tiago Salem Herrmann ]
  * Increase microphone icon size on AudioRecordingBar Increase font
    size of recording elapsed time label on AudioRecordingBar
  * Use sequential animation for transition between send and microphone
    icons.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 08 Mar 2016 22:06:40 +0000

messaging-app (0.1+16.04.20160224-0ubuntu1) xenial; urgency=medium

  * Enable receiving multiple files from content-hub. (LP: #1523573)
  * Makes text in the swipe demo use relative positioning instead of
    absolute. (LP: #1518344)
  * Remove all line breaks from the text message preview and set a
    maximum line count, so the Text component correctly respect the
    elide property. (LP: #1532895)
  * Set width based on the screen size to avoid removing views from the
    stack when the app is resized. (LP: #1549352)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 24 Feb 2016 18:29:28 +0000

messaging-app (0.1+16.04.20160217.2-0ubuntu1) xenial; urgency=medium

  * Allow read access to dconf files, otherwise mms group chat toggle
    won't work, and the default sim for messages won't be pre-selected
    in the messaging view. (LP: #1546094)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 17 Feb 2016 22:49:43 +0000

messaging-app (0.1+16.04.20160217-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Gustavo Pichorim Boiko, Tiago Salem Herrmann ]
  * Implement convergent layout for messaging-app.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Wed, 17 Feb 2016 12:47:19 +0000

messaging-app (0.1+16.04.20160205-0ubuntu1) xenial; urgency=medium

  [ Arthur Mello ]
  * Add a thumbnail to MMS previewer after video has ended to reduce
    visual issues
  * Add audio attachments text to ThreadDelegate
  * Add initial QML test for voice recording
  * Add initial voice recording support. Most of the code was originally
    written by Arthur Renato Mello.
  * Add video attachment delegates
  * During audio playback bar pause instead of stop
  * Implement swipe-to-cancel for audio recording, and change the UI to
    be compliant with the designs.

  [ Gustavo Pichorim Boiko ]
  * Add audio attachments text to ThreadDelegate
  * Add delivery status indication on bubbles.
  * Add fallback accountId to the history filter.
  * Add initial QML test for voice recording
  * Add initial voice recording support. Most of the code was originally
    written by Arthur Renato Mello.
  * Disable tests that are currently failing.
  * Display dialog to warn users that the maximum file size was reached.
  * Do not reload the history filters when just the active accounts have
    changed.
  * Enable document attachments.
  * Fix the swipe to cancel audio recording.
  * Implement swipe-to-cancel for audio recording, and change the UI to
    be compliant with the designs.
  * Load audio and sticker components asynchronously.
  * Make it possible to share contacts and extra content types (disabled
    for now).
  * Move the bottom part of Messages view to a separate QML file for
    better code readability.
  * Prototype implementation for stickers support.
  * Refactor MMSAudio delegate
  * Show an overlay icon and a background image depending on the
    protocol used.
  * Update the bubble to match the designs.

  [ Tiago Salem Herrmann ]
  * Add apparmor profile and enable app confinement. (LP: #1528625)
  * Add delivery status indication on bubbles.
  * Add fallback accountId to the history filter.
  * Add video attachment delegates
  * Display dialog to warn users that the maximum file size was reached.
  * Load audio and sticker components asynchronously.
  * Refactor MMSAudio delegate

  [ Ugo Riboni ]
  * Prototype implementation for stickers support.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 05 Feb 2016 01:10:31 +0000

messaging-app (0.1+16.04.20160109.1-0ubuntu1) xenial; urgency=medium

  * Use the new Addressbook header.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Sat, 09 Jan 2016 01:26:30 +0000

messaging-app (0.1+16.04.20151207-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

  [ Tiago Salem Herrmann ]
  * Do not allow the compose bar overlap the page header when in
    landscape mode. (LP: #1518291)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Mon, 07 Dec 2015 17:55:19 +0000

messaging-app (0.1+16.04.20151124-0ubuntu1) xenial; urgency=medium

  * Make sure that the search field receives focus when contact list
    page is active and in search mode. (LP: #1511477)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 24 Nov 2015 00:30:58 +0000

messaging-app (0.1+16.04.20151123.2-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Renato Araujo Oliveira Filho ]
  * Extend contact preview page to show all details from contact vcard.
    added: src/qml/MMS/PreviewerMultipleContacts.qml renamed:
    src/qml/MMS/PreviewerContact.qml =>
    src/qml/MMS/PreviewerSingleContact.qml

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Mon, 23 Nov 2015 19:52:41 +0000

messaging-app (0.1+16.04.20151120-0ubuntu1) xenial; urgency=medium

  [ Tiago Salem Herrmann ]
  * Add online and typing status to the conversation view.
  * Update SIM dialogs according to design spec. (LP: #1449778)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 20 Nov 2015 11:32:35 +0000

messaging-app (0.1+16.04.20151112-0ubuntu1) xenial; urgency=medium

  * Update the selected section once the default sim card for text
    message changes. (LP: #1515677)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 12 Nov 2015 17:47:43 +0000

messaging-app (0.1+16.04.20151105-0ubuntu1) xenial; urgency=medium

  [ Tiago Salem Herrmann ]
  * Enable cross compiling

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Thu, 05 Nov 2015 13:48:57 +0000

messaging-app (0.1+16.04.20151104-0ubuntu1) xenial; urgency=medium

  [ Gustavo Pichorim Boiko ]
  * Update the autopilot tests to work with UITK 1.3 and also to work
    with the latest app changes.

  [ Tiago Salem Herrmann ]
  * Fix more autopilot tests:

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Wed, 04 Nov 2015 20:11:00 +0000

messaging-app (0.1+16.04.20151026-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Tiago Salem Herrmann ]
  * Port messaging-app to sdk 1.3.

 -- Bill Filler <ci-train-bot@canonical.com>  Mon, 26 Oct 2015 15:06:26 +0000

messaging-app (0.1+15.10.20151015-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Gustavo Pichorim Boiko ]
  * Make use of the cached contact info from history-service when
    populating headers and popups.

  [ Tiago Salem Herrmann ]
  * Turn updateFilters() into a binding. (LP: #1488988)
  * Use groupedThreads role from the model to generate history event
    filters.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 15 Oct 2015 14:03:13 +0000

messaging-app (0.1+15.10.20151006.3-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Tiago Salem Herrmann ]
  * Revert patch that replaces empty spaces by &nbsp;, as it breaks word
    wrap. (LP: #1503018)

 -- Bill Filler <ci-train-bot@canonical.com>  Tue, 06 Oct 2015 15:27:53 +0000

messaging-app (0.1+15.10.20150928-0ubuntu1) wily; urgency=medium

  * Acknowledge pending messages before removing the threads. (LP:
    #1488498)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Mon, 28 Sep 2015 18:27:36 +0000

messaging-app (0.1+15.10.20150923.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Gustavo Pichorim Boiko ]
  * Increase the touch area of the send and attach buttons. (LP:
    #1488984)

  [ Sebastien Bacher ]
  * display empty lines and leading spaces (LP: #1366592)

  [ Tiago Salem Herrmann ]
  * Fix autopilot tests.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Wed, 23 Sep 2015 15:33:42 +0000

messaging-app (0.1+15.10.20150818-0ubuntu1) wily; urgency=medium

  [ Gustavo Pichorim Boiko ]
  * Add a stroke around the bubbles to make them appear on a white
    background.

  [ Tiago Salem Herrmann ]
  * Force threadId to be a string, otherwise Qt.createQmlObject() will
    convert operator names that match color names to QColor instead of
    QString. (LP: #1478547)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 18 Aug 2015 12:18:38 +0000

messaging-app (0.1+15.10.20150817.2-0ubuntu1) wily; urgency=medium

  [ Brendan Donegan ]
  * Remove component version from get_send_button (LP: #1482205)

  [ CI Train Bot ]
  * Resync trunk.

  [ Tiago Salem Herrmann ]
  * Allow closing dialogs while SwipeItemDemo is displayed. (LP:
    #1461861)
  * Only mark messages as read when the application is active, and add a
    QML test to prevent regressions. The QML tests need some QML modules
    available at build time in order to run properly, so those were
    added as build deps. (LP: #1394971)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 17 Aug 2015 21:08:58 +0000

messaging-app (0.1+15.10.20150710.2-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Jul 2015 22:57:59 +0000

messaging-app (0.1+15.10.20150710.2-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Gustavo Pichorim Boiko ]
  * Update messaging-app to use the correct icon to add a new contact.
    (LP: #1473537)
  * Update the send icon per design request. added:
    src/qml/assets/send.svg

  [ Ken VanDine ]
  * Handle sharing of ContentType.Text

  [ Tiago Salem Herrmann ]
  * Fix pressAndHold for all kinds of attachments (LP: #1367457)
  * Start conversation with individual participants of a group chat.
    (LP: #1458914)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 10 Jul 2015 19:24:17 +0000

messaging-app (0.1+15.10.20150707-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Tiago Salem Herrmann ]
  * +phone_number. (LP: #1472221)
  * Do not check for previous participants before generating history
    filters. Accounts might appear on demand and we need generate new
    filters even if the participant list is unchanged. (LP: #1471335)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 07 Jul 2015 19:08:59 +0000

messaging-app (0.1+15.10.20150615-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

  [ Renato Araujo Oliveira Filho ]
  * Shows the number of vcard in an attachment if this is greeter than
    1;
  * Update application icon Update screenshot (LP: #1457424, #1430004)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 15 Jun 2015 15:36:43 +0000

messaging-app (0.1+15.10.20150601.1-0ubuntu1) wily; urgency=medium

  [ Gustavo Pichorim Boiko ]
  * Fix contact share.

  [ Renato Araujo Oliveira Filho ]
  * Implement address book interaction using the address book library
    instead of calling the app. (LP: #1456782)
  * Removed contact expansion. (LP: #1368671)

  [ Sebastien Bacher ]
  * Update the translations template so new strings can be translated

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 01 Jun 2015 20:15:14 +0000

messaging-app (0.1+15.04.20150522.1-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Gustavo Pichorim Boiko ]
  * Add autopilot tests for the settings page.

  [ Tiago Salem Herrmann ]
  * Do not anchor group participants popover to the keyboard.
  * Implement initial messaging settings page. (LP: #1415458)
  * Workaround a bug with ActivityIndicator.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 22 May 2015 14:50:48 +0000

messaging-app (0.1+15.04.20150520-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Tiago Salem Herrmann ]
  * Do not access data from the model onCountChanged. Use ListView
    onCountChanged instead. (LP: #1449594, #1449598)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 20 May 2015 13:27:15 +0000

messaging-app (0.1+15.04.20150511-0ubuntu1) vivid; urgency=medium

  [ Renato Araujo Oliveira Filho ]
  * Show a swipe item demo during the first launch. (LP: #1417359)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 11 May 2015 19:18:49 +0000

messaging-app (0.1+15.04.20150413-0ubuntu1) vivid; urgency=medium

  [ Tiago Salem Herrmann ]
  * Update history filters when telepathy accounts change. (LP:
    #1439718)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 13 Apr 2015 13:13:22 +0000

messaging-app (0.1+15.04.20150408-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Gustavo Pichorim Boiko ]
  * Sync with the latest changes in history-service to support matching
    other contact fields.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 08 Apr 2015 22:02:51 +0000

messaging-app (0.1+15.04.20150318-0ubuntu1) vivid; urgency=medium

  [ Gustavo Pichorim Boiko ]
  * Change messaging-app to add basic support for accounts not based on
    phone number.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 18 Mar 2015 17:44:40 +0000

messaging-app (0.1+15.04.20150228-0ubuntu1) vivid; urgency=medium

  [ Bill Filler ]
  * Enable MMSDefault for unknown attachment types added:
    src/qml/assets/transfer-unsupported01.svg

  [ CI Train Bot ]
  * New rebuild forced.

  [ Tiago Salem Herrmann ]
  * Enable MMSDefault for unknown attachment types added:
    src/qml/assets/transfer-unsupported01.svg
  * Show short notification when messages are copied to clipboard. (LP:
    #1426058, #1417350)
  * Use the proper style for TextField. (LP: #1426036)

 -- CI Train Bot <ci-train-bot@canonical.com>  Sat, 28 Feb 2015 04:08:32 +0000

messaging-app (0.1+15.04.20150218-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk

  [ Gustavo Pichorim Boiko ]
  * Test that new messages are scrolled into view.

  [ Tiago Salem Herrmann ]
  * Disable spinner for incoming messages. (LP: #1420976)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 18 Feb 2015 12:23:38 +0000

messaging-app (0.1+15.04.20150212-0ubuntu1) vivid; urgency=medium

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Gustavo Pichorim Boiko ]
  * Use the standard back button on searching and multi selecting
    instead of the X. (LP: #1373494)

  [ Renato Araujo Oliveira Filho ]
  * Show import contact options if contact list is empty. (LP: #1417341)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Feb 2015 00:58:44 +0000

messaging-app (0.1+15.04.20150211-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk

  [ Omer Akram ]
  * Provide a pre-populated database for search test so that we don't
    conflict with the On Screen Display Notification (LP: #1418074)

  [ Tiago Salem Herrmann ]
  * Inject messages into the history service when it is impossible to
    send them. (LP: #1417353)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 11 Feb 2015 18:09:01 +0000

messaging-app (0.1+15.04.20150204-0ubuntu1) vivid; urgency=medium

  [ Tiago Salem Herrmann ]
  * Add initial MMS group chat support. (LP: #1415458)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Feb 2015 21:11:18 +0000

messaging-app (0.1+15.04.20150127-0ubuntu1) vivid; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Test that search terms are properly escaped.

  [ Tiago Salem Herrmann ]
  * Generate filters dynamically using a UnionFilter with all grouped
    threads. (LP: #1414675)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Jan 2015 13:54:07 +0000

messaging-app (0.1+15.04.20150123-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Gustavo Pichorim Boiko ]
  * Update pot file.

  [ Tiago Salem Herrmann ]
  * Query thread messages when searchTerm changes. (LP: #1376793)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Jan 2015 16:56:44 +0000

messaging-app (0.1+15.04.20150108-0ubuntu1) vivid; urgency=low

  [ Tiago Salem Herrmann ]
  * Scroll new messages into view. (LP: #1373479)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 Jan 2015 21:33:54 +0000

messaging-app (0.1+15.04.20150106-0ubuntu1) vivid; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Remove multiple entries all at once instead of using multiple calls.
    (LP: #1404286)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 06 Jan 2015 17:53:44 +0000

messaging-app (0.1+15.04.20141219-0ubuntu1) vivid; urgency=low

  [ Tiago Salem Herrmann ]
  * launch_upstart_application() does not take more than one argument.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 19 Dec 2014 15:22:08 +0000

messaging-app (0.1+15.04.20141210-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Tiago Salem Herrmann ]
  * Read text property from url-dispatcher. (LP: #1382623)
  * Change bottom edge label to match design specs. (LP: #1391586)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Dec 2014 17:58:37 +0000

messaging-app (0.1+15.04.20141121-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Alexandre Abreu ]
  * Localize and strengthen the phone number detection scheme used from
    within a given message bubble as it is replaced by tel:// URIs.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 21 Nov 2014 13:55:18 +0000

messaging-app (0.1+15.04.20141110-0ubuntu1) vivid; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Make the time displaying consistent with dialer-app. (LP: #1375890)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 13:26:11 +0000

messaging-app (0.1+14.10.20141028~rtm-0ubuntu1) 14.09; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Tiago Salem Herrmann ]
  * Show sim card display names on sim divider even when the sim card is
    removed. (LP: #1382588)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 28 Oct 2014 00:13:38 +0000

messaging-app (0.1+14.10.20141007.1-0ubuntu1) 14.09; urgency=low

  [ Bill Filler ]
  * use header in splash screen (LP: #1378379)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Gustavo Pichorim Boiko ]
  * Ship the messaging-app icon together with the package (LP: #1365408)

  [ Tiago Salem Herrmann ]
  * Add initial support for the new information messageType. Notify
    users when the active sim card was switched. (LP: #1356950)
  * Don't show the attachment popup on onClicked(). Update bottom edge
    behavior (LP: #1368718)
  * Add support for sim lock. (LP: #1371661)
  * Fix black image in the mms preview. (LP: #1373462)
  * Make conversations view header fixed.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 07 Oct 2014 16:58:07 +0000

messaging-app (0.1+14.10.20140924-0ubuntu1) 14.09; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Renato Araujo Oliveira Filho ]
  * Changed swipe list item to not activate on mouse release. Changed
    actions order on Message delegate. (LP: #1368337)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 24 Sep 2014 17:57:58 +0000

messaging-app (0.1+14.10.20140919-0ubuntu1) utopic; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Increase the time waiting for the OSD to hide.

  [ Tiago Salem Herrmann ]
  * Don't try to linkify phone numbers if web links are present. (LP:
    #1367802)
  * Fix auto-scrolling on the MultiRecipientInput widget. (LP: #1356811)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 19 Sep 2014 21:58:41 +0000

messaging-app (0.1+14.10.20140917.1-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Gustavo Pichorim Boiko ]
  * Update pot file.

  [ Tiago Salem Herrmann ]
  * Workaround focus problem in the MultiRecipientInput component. (LP:
    #1369018)

  [ Renato Araujo Oliveira Filho ]
  * Added Symbola font as dependency (LP: #1269017)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Sep 2014 15:58:09 +0000

messaging-app (0.1+14.10.20140912-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Gustavo Pichorim Boiko ]
  * Use the contact info exposed in the history models instead of having
    multiple instances of the contact watcher.
  * Make sure phonesim is detected even when there are multiple modems.
  * Remove the proxies that were being used for sorting and grouping of
    threads and messages. The functionality is implemented directly on
    history models themselves now.
  * Do not rely on translatable strings for getting objects. Also, re-
    enable tests that were previously disabled. (LP: #1346475)

  [ Tiago Salem Herrmann ]
  * enable the send button when any text is entered in the recipient
    input field. scroll view to the bottom when sending messages. (LP:
    #1346745)

  [ Renato Araujo Oliveira Filho ]
  * Updated pot file.
  * Fixed binding loop.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Sep 2014 21:33:56 +0000

messaging-app (0.1+14.10.20140904.1-0ubuntu1) utopic; urgency=low

  [ Ugo Riboni ]
  * Make sure the strings from the desktop file template are processed.
    Use paths relative to the po dir in the .pot file to match
    convention. Update the pot file.

  [ Tiago Salem Herrmann ]
  * Improve startup time (LP: #1325001)

  [ Martin Pitt ]
  * update POT

  [ Pawel Stolowski ]
  * Added X-Ubuntu-Default-Department-ID key to the desktop file. This
    is required by click scope to support departments for preinstalled
    applications.

  [ Gustavo Pichorim Boiko ]
  * Make sure the strings from the desktop file template are processed.
    Use paths relative to the po dir in the .pot file to match
    convention. Update the pot file.

  [ Renato Araujo Oliveira Filho ]
  * Make sure the strings from the desktop file template are processed.
    Use paths relative to the po dir in the .pot file to match
    convention. Update the pot file.
  * Replaced ContactListView used to display search result with a simple
    ListView.
  * Set root element as parent for MessageInfoDialog.
  * Format the message timestamp using the current system locale. Make
    sure that AM/PM format get correct formatted. (LP: #1353691)
  * Added "+ Create new" button on contact list. Hide contact switch
    "all" "favorites" during the search. (LP: #1234947)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Sep 2014 18:26:42 +0000

messaging-app (0.1+14.10.20140828.3-0ubuntu1) utopic; urgency=low

  [ Bill Filler ]
  * Mark the "Send" string for translation. This will require an update
    of the .pot file too.

  [ Martin Pitt ]
  * Update POT
  * Do not mark single space for translation, and fix wrong macros in
    plural forms of "Attachments" strings.

  [ David Planella ]
  * Mark the "Send" string for translation. This will require an update
    of the .pot file too.

  [ Tiago Salem Herrmann ]
  * Use rich text to avoid parsing errors. (LP: #1320126)

  [ Renato Araujo Oliveira Filho ]
  * Show destination numbers on MessageInfoDialog. (LP: #1359843)
  * Limit the size of memory used by images on MMSImage.qml. Removed
    scrollbar. Optimize messages page (Binding only message object
    property for loaders.) (LP: #1356539)
  * Update vcard visual on text field (before send it) (LP: #1359351)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Aug 2014 21:59:34 +0000

messaging-app (0.1+14.10.20140825-0ubuntu1) utopic; urgency=low

  [ Martin Pitt ]
  * Mark for using language packs

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Aug 2014 06:37:43 +0000

messaging-app (0.1+14.10.20140820-0ubuntu1) utopic; urgency=low

  [ Tiago Salem Herrmann ]
  * Display only active accounts (sim card present).

  [ Renato Araujo Oliveira Filho ]
  * Update Picture import functionality to import pictures from any
    source. (LP: #1356543)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 20 Aug 2014 15:34:12 +0000

messaging-app (0.1+14.10.20140813.2-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Gustavo Pichorim Boiko ]
  * Do not update the .po files during `make`, update only the .pot
    file.

  [ Tiago Salem Herrmann ]
  * Add initial dual sim settings. Add empty state screen.

  [ Renato Araujo Oliveira Filho ]
  * Fixed wrong icon for group chat. Implemented handling of not sent
    sms/mms swipe for more options. RETRY for failed messages should go
    as well into the left tug. Move selection tick to the center of the
    item. Set a limit for message input field maximum height. Once user
    types in a name into the “add contact” field and there is a matching
    list, the “compose message” entry field can disappear. Handle the
    message as only one item for swipe acctions. Created sections for
    dates on chat window. Fixed vcard attachment visuals based on
    designer spec. Make timestamp visible on image attachments if it is
    the only item of the message. Display Account name together with
    timestamp (Temporary solution). Show message info dialog .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 13 Aug 2014 22:25:02 +0000

messaging-app (0.1+14.10.20140806-0ubuntu1) utopic; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Fix getting the bottom edge tip item in the autopilot tests. (LP:
    #1353420)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 15:35:52 +0000

messaging-app (0.1+14.10.20140805-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Gustavo Pichorim Boiko ]
  * Visual update. Added qtdeclarative5-ubuntu-history0.1 as a build
    dependency (necessary for unit tests). Created a new MMS source dir
    with files necessary for MMS visual. .

  [ Tiago Salem Herrmann ]
  * Visual update. Added qtdeclarative5-ubuntu-history0.1 as a build
    dependency (necessary for unit tests). Created a new MMS source dir
    with files necessary for MMS visual. .

  [ Renato Araujo Oliveira Filho ]
  * Visual update. Added qtdeclarative5-ubuntu-history0.1 as a build
    dependency (necessary for unit tests). Created a new MMS source dir
    with files necessary for MMS visual. .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 05 Aug 2014 12:50:37 +0000

messaging-app (0.1+14.10.20140730-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Gustavo Pichorim Boiko ]
  * Use the account objects exposed from telephony QML plugin.

  [ Leo Arias ]
  * Added a suite of simple QML tests.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Jul 2014 17:58:33 +0000

messaging-app (0.1+14.10.20140725-0ubuntu1) utopic; urgency=low

  [ Tiago Salem Herrmann ]
  * Ignore x-smil content-type. Enable spinner for mms (LP: #1347079)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Jul 2014 20:19:55 +0000

messaging-app (0.1+14.10.20140724.2-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Tiago Salem Herrmann ]
  * fix broken test

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 24 Jul 2014 15:35:06 +0000

messaging-app (0.1+14.10.20140718-0ubuntu1) utopic; urgency=low

  [ Tiago Salem Herrmann ]
  * Hide account switcher when there is only one account.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 18 Jul 2014 14:51:37 +0000

messaging-app (0.1+14.10.20140717.3-0ubuntu1) utopic; urgency=low

  [ Tiago Salem Herrmann ]
  * Implement sim card switcher when there is more than one account
    available (label is hardcoded for now). Update some visuals to match
    the new spec. Merge messages from different accounts .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 21:42:32 +0000

messaging-app (0.1+14.10.20140716-0ubuntu1) utopic; urgency=low

  [ Ugo Riboni ]
  * Add translations in .desktop files (LP: #1318008)

  [ Tiago Salem Herrmann ]
  * Use contacts-app via url handler to add new contacts.

  [ Renato Araujo Oliveira Filho ]
  * Used a new delegate for contact list, while searching for contact in
    the new message screen.
  * Add translations in .desktop files (LP: #1318008)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Jul 2014 15:26:45 +0000

messaging-app (0.1+14.10.20140715-0ubuntu1) utopic; urgency=low

  [ Iftikhar Ahmad ]
  * some new helpers for AP tests (LP: #1322055)

  [ Omer Akram ]
  * pull out the functions in setUp() and tearDown() into a fixture, to
    be consumed by other projects, wrote send_message helper. (LP:
    #1328921)

  [ Tiago Salem Herrmann ]
  * Use upstart to launch the application to run the tests.

  [ iftikhar.ahmad@canonical.com ]
  * some new helpers for AP tests (LP: #1322055)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Jul 2014 16:32:29 +0000

messaging-app (0.1+14.10.20140709-0ubuntu1) utopic; urgency=low

  [ Tiago Salem Herrmann ]
  * Force modem to go online during tests.
  * Acknowledge unread messages.
  * Add support for sharing links. (LP: #1337584)
  * Update conversation bubbles

  [ Renato Araujo Oliveira Filho ]
  * Used Ubuntu.Contacts.ContactAvatar in ThreadDelegate.qml
  * Added search functionality on NewRecipientPage.qml.

  [ Brendan Donegan ]
  * Add objectName's to Action items and fix some test helpers, plus add
    a few that are useful.
  * Convert autopilot tests to use python3

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 09 Jul 2014 00:50:01 +0000

messaging-app (0.1+14.10.20140703.1-0ubuntu1) utopic; urgency=low

  [ Tiago Salem Herrmann ]
  * Implement MMS sending support. Add content-hub share handler for
    pictures and contacts. (LP: #1325009)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Jul 2014 13:42:10 +0000

messaging-app (0.1+14.10.20140701-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * New icon from suru theme.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Jul 2014 07:42:20 +0000

messaging-app (0.1+14.10.20140627-0ubuntu1) utopic; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Update contact search to new ContactList API

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 27 Jun 2014 16:05:57 +0000

messaging-app (0.1+14.10.20140617-0ubuntu1) utopic; urgency=low

  [ Leo Arias ]
  * Removed the tests that swipe to the left. Updated the tests to use
    the swipe_to_delete helper from the toolkit. (LP: #1330352)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 17 Jun 2014 23:12:42 +0000

messaging-app (0.1+14.10.20140613.2-0ubuntu1) utopic; urgency=low

  [ Tiago Salem Herrmann ]
  * Implement new designs + bottom edge swipe

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 13 Jun 2014 19:42:12 +0000

messaging-app (0.1+14.10.20140609-0ubuntu1) utopic; urgency=low

  [ Tim Peeters ]
  * remove the get_header() function.

  [ Chris Gagnon ]
  * move receive sms out of page proxy into helper

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 09 Jun 2014 17:42:25 +0000

messaging-app (0.1+14.10.20140530-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Gustavo Pichorim Boiko ]
  * Fix loading translations.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 May 2014 13:24:44 +0000

messaging-app (0.1+14.10.20140522-0ubuntu1) utopic; urgency=low

  [ Tiago Salem Herrmann ]
  * Add initial mms support (images and videos) .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 May 2014 21:54:40 +0000

messaging-app (0.1+14.10.20140512-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Tiago Salem Herrmann ]
  * update po and pot files

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 May 2014 22:51:45 +0000

messaging-app (0.1+14.04.20140410.1-0ubuntu2) trusty; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 12:45:27 -0300

messaging-app (0.1+14.04.20140410.1-0ubuntu1) trusty; urgency=low

  [ Tiago Salem Herrmann ]
  * make press and hold display a context menu where users can copy the
    text message. linkify phone numbers and invoke dialer-app
    accordingly. use a 3rd party library to detect/linkify web links.
    avoid showing the thread view at startup when launching messaging-
    app from other apps (LP: #1302652)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Apr 2014 16:15:01 +0000

messaging-app (0.1+14.04.20140327-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Fixed the python static errors and added flake8 to the test hooks.

  [ Leo Arias ]
  * When deleting messages in autopilot tests, leave the pointer pressed
    until the page switches to selection mode.
  * Fixed the python static errors and added flake8 to the test hooks.

  [ Łukasz 'sil2100' Zemczak ]
  * Make sure we flush the text that's being held in the OSK pre-edit
    (if any) before sending the message. Fixes LP: #1271494. (LP:
    #1271494)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Mar 2014 19:13:21 +0000

messaging-app (0.1+14.04.20140325-0ubuntu1) trusty; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Make sure the telepathy-ofono account is using the correct modem
    before running the tests. (LP: #1296826)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Mar 2014 05:32:07 +0000

messaging-app (0.1+14.04.20140320.1-0ubuntu1) trusty; urgency=low

  [ Tiago Salem Herrmann ]
  * Reply messages using the right account id.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Mar 2014 18:44:33 +0000

messaging-app (0.1+14.04.20140320-0ubuntu1) trusty; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Wait for the messages to be marked as read before getting them in
    autopilot tests. (LP: #1293610)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Mar 2014 10:18:50 +0000

messaging-app (0.1+14.04.20140314-0ubuntu1) trusty; urgency=low

  [ Leo Arias ]
  * Refactor the test_delete_multiple_messages to make it readable and
    maintainable.
  * Added a sleep to workaround an autopilot error we are getting with
    the qt5.2 landing PPA. (LP: #1291394)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Mar 2014 15:01:39 +0000

messaging-app (0.1+14.04.20140306-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Mar 2014 08:10:21 +0000

messaging-app (0.1+14.04.20140305-0ubuntu1) trusty; urgency=low

  [ Tiago Salem Herrmann ]
  * set highlightFollowsCurrentItem to false to avoid unexpected
    behaviors with qt5.2 (LP: #1286315)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Mar 2014 04:58:23 +0000

messaging-app (0.1+14.04.20140228-0ubuntu1) trusty; urgency=low

  [ chris.gagnon ]
  * update autopilot emulator add tests

  [ Tiago Salem Herrmann ]
  * Resend messages to all participants of a particular group chat.
  * update autopilot emulator add tests

  [ Dimitri John Ledkov ]
  * Drop dbus-x11 dependency, dbus-launch is not used.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Feb 2014 14:56:55 +0000

messaging-app (0.1+14.04.20140218.1-0ubuntu1) trusty; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Make it possible to override the contact manager backend used when
    running the application. This is meant to be used mainly for testing
    purposes.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 21:36:27 +0000

messaging-app (0.1+14.04.20140218-0ubuntu1) trusty; urgency=low

  [ Tiago Salem Herrmann ]
  * Add group chat support. Add a new MultiRecipientInput widget.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 13:54:17 +0000

messaging-app (0.1+14.04.20140206-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * disable predictive text for To: field so word ribbon does not
    appear.

  [ Ted Gould ]
  * Adding URL dispatcher configuration file.

  [ Omer Akram ]
  * Load testability driver if QT_LOAD_TESTABILITY is in the environment

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Feb 2014 18:58:55 +0000

messaging-app (0.1+14.04.20140116-0ubuntu1) trusty; urgency=low

  [ Tiago Salem Herrmann ]
  * Add a delivery status indicator to the messages view. Add a popover
    that provide actions to cancel or resend a given message.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 60

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 16 Jan 2014 13:18:47 +0000

messaging-app (0.1+14.04.20131213-0ubuntu1) trusty; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Remove the obsolete connected tests.

  [ Tiago Salem Herrmann ]
  * A workaround to steal the focus from the input entry and force the
    osk to be closed. The current close_osk() implementation does not
    work properly.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 58

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 13 Dec 2013 20:12:11 +0000

messaging-app (0.1+14.04.20131104-0ubuntu1) trusty; urgency=low

  [ Martin Pitt ]
  * test_messaging.py: Cover SMS send/receive through ofono-phonesim.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 55

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 04 Nov 2013 19:23:32 +0000

messaging-app (0.1+13.10.20131015.2-0ubuntu1) saucy; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Limit the size of images in memory.
  * Fix the latest message right anchor.
  * Use Ubuntu font sendTo/Message boxes

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 53

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Oct 2013 20:24:10 +0000

messaging-app (0.1+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Hide page header in landscape mode.
  * Change the messaging-app to use the new URL dispatcher mechanism.
  * Add a screenshot of the messaging-app.
  * Fix some visual design bugs in the app. The following items were
    fixed: Icons are now all loaded from the icon theme. Clicking on
    messages removes the focus from the text input field, dismissing the
    keyboard. Fix the scaling of avatar images.
  * confirm before removing items. change the selection indicator to
    match specs. use animation when changing to selection mode in
    Messages.qml. pop all pages from pageStack before pushing a new one.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 49

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 08:47:19 +0000

messaging-app (0.1+13.10.20131004.1-0ubuntu1) saucy; urgency=low

  [ Max Brustkern ]
  * Implemented test of SMS sending and moved connected_tests to
    messaging_app_connected to avoid conflict with dialer-app.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 43

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Oct 2013 07:23:23 +0000

messaging-app (0.1+13.10.20131001.4-0ubuntu1) saucy; urgency=low

  [ Tiago Salem Herrmann ]
  * Replace the "new contact" icon used for unknown contacts on the
    conversations list by the default avatar. Remove popup when tapping
    unknown contact avatars and implement a dialog for adding new
    contacts. (LP: #1231569, #1231442)
  * Parse messages and add links when necessary. (LP: #1192442)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 41

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Oct 2013 21:20:39 +0000

messaging-app (0.1+13.10.20130926.1-0ubuntu1) saucy; urgency=low

  [ Tiago Salem Herrmann ]
  * Focus phone number entry when composing a new message. (LP:
    #1227356)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 38

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Sep 2013 08:46:06 +0000

messaging-app (0.1+13.10.20130925-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Adding single instance marker to the desktop file.

  [ Gustavo Pichorim Boiko ]
  * Mark events as read when they are opened in the messages view.

  [ Tiago Salem Herrmann ]
  * Add a visual feedback for selected messages/conversations. (LP:
    #1227351)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 36

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 25 Sep 2013 06:35:22 +0000

messaging-app (0.1+13.10.20130917-0ubuntu1) saucy; urgency=low

  [ Dennis O'Flaherty ]
  * Format date properly so friendlyDay() can return the right string.
    (LP: #1220043)

  [ Tiago Salem Herrmann ]
  * invoke popups also on pressAndHold.
  * add support for contacts quick search this branch needs the history
    service from this MR: https://code.launchpad.net/~tiagosh/history-
    service/fix-threadForParticipants/+merge/185547. (LP: #1224944)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 32

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 17 Sep 2013 12:57:10 +0000

messaging-app (0.1+13.10.20130905-0ubuntu1) saucy; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Fix runtime dependencies. Ensure the text entry has active focus
    before starting to input text.

  [ Olivier Tilloy ]
  * Fix runtime dependencies. Ensure the text entry has active focus
    before starting to input text.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 28

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 05 Sep 2013 08:44:08 +0000

messaging-app (0.1+13.10.20130830.2-0ubuntu1) saucy; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Fix dependencies for the autopilot packages - ubuntu-ui-toolkit-
    autopilot was missing (fixes LP: #1218794). (LP: #1218794)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 26

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Aug 2013 13:26:44 +0000

messaging-app (0.1+13.10.20130827.1-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * update the depends, some of the binaries got renamed when entering
    the ubuntu archive. Let the old names, as an alternative, for the
    transition, those can be dropped later.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 23

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 12:47:38 +0000

messaging-app (0.1+13.10.20130827-0ubuntu1) saucy; urgency=low

  [ Tiago Salem Herrmann ]
  * add actions icons to the thread view toolbar add plus icon for
    unknown contacts on the main view.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 21

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 02:41:45 +0000

messaging-app (0.1+13.10.20130826-0ubuntu1) saucy; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Use the correct application icon.

  [ Tiago Salem Herrmann ]
  * add initial autopilot tests.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 19

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 02:37:26 +0000

messaging-app (0.1+13.10.20130823.1-0ubuntu1) saucy; urgency=low

  [ Tiago Salem Herrmann ]
  * Initial release

  [ Łukasz 'sil2100' Zemczak ]
  * Modifications related to compliance with our packaging standards
  * Automatic snapshot from revision 15 (bootstrap)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 16

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Aug 2013 07:16:48 +0000
